<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <record id="account_move_view_form" model="ir.ui.view">
        <field name="name">account_move.view.form.inherit.infile</field>
        <field name="model">account.move</field>
        <field name="inherit_id" ref="account.view_move_form"/>
        <field name="arch" type="xml">
            <div name="button_box" position="before">
                <widget name="web_ribbon" title="Posted" attrs="{'invisible': [('infile_status', '!=', 'done')]}"/>
                <widget name="web_ribbon" bg_color="bg-danger" title="Annulled" attrs="{'invisible': [('infile_status', '!=', 'annulled')]}"/>
            </div>
            <button name="action_post" position="after">
                <button name="action_generate_and_send_xml" string="Resend XML" type="object" attrs="{'invisible': ['|',('infile_status', '!=', 'error'),('state', '=', 'draft')]}"/>
            </button>
            <field name="emision_datetime" position="after">
                <field name="infile_status" attrs="{'invisible': [('infile_status', '=', 'error')]}"/>
                <field name="infile_status" style="color: red;" attrs="{'invisible': [('infile_status', '!=', 'error')]}"/>
                <field name="infile_certified_datetime" attrs="{'invisible': [('infile_certified_datetime', '=', False)]}"/>
                <field name="infile_xml_uuid" attrs="{'invisible': [('infile_xml_uuid', '=', False)]}"/>
                <field name="infile_uuid" groups="base.group_no_one"/>
                <field name="infile_pdf_link" attrs="{'invisible': [('infile_xml_uuid', '=', False)]}" widget="url"/>
            </field>
        </field>
    </record>

    <record id="account_move_view_tree" model="ir.ui.view">
        <field name="name">account_move.view.tree.inherit.infile</field>
        <field name="model">account.move</field>
        <field name="inherit_id" ref="account.view_invoice_tree"/>
        <field name="arch" type="xml">
            <field name="state" position="after">
                <field name="infile_status"/>
            </field>
        </field>
    </record>

    <record id="account_move_view_filter" model="ir.ui.view">
        <field name="name">account_move.view.search.inherit.infile</field>
        <field name="model">account.move</field>
        <field name="inherit_id" ref="account.view_account_invoice_filter"/>
        <field name="arch" type="xml">
            <filter name="cancel" position="after">
                <separator/>
                <filter name="not_sent" string="Not sent" domain="[('infile_status','=','not_sent')]"/>
                <filter name="success" string="Sent successfully" domain="[('infile_status', '=', 'done')]"/>
                <filter name="errors" string="Sent with errors" domain="[('infile_status', '=', 'error')]"/>
            </filter>
            <filter name="duedate" position="after">
                <separator/>
                <filter name="infilestatus" string="INFILE Status" context="{'group_by': 'infile_status'}"/>
            </filter>
        </field>
    </record>
</odoo>
